/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-05 16:09:48 UTC)
 * on 2013-06-19 at 14:45:48 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.siteVerification.model;

/**
 * Model definition for SiteVerificationWebResourceResource.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Site Verification API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class SiteVerificationWebResourceResource extends com.google.api.client.json.GenericJson {

  /**
   * The string used to identify this site. This value should be used in the "id" portion of the
   * REST URL for the Get, Update, and Delete operations.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String id;

  /**
   * The email addresses of all verified owners.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<java.lang.String> owners;

  /**
   * The address and type of a site that is verified or will be verified.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Site site;

  /**
   * The string used to identify this site. This value should be used in the "id" portion of the
   * REST URL for the Get, Update, and Delete operations.
   * @return value or {@code null} for none
   */
  public java.lang.String getId() {
    return id;
  }

  /**
   * The string used to identify this site. This value should be used in the "id" portion of the
   * REST URL for the Get, Update, and Delete operations.
   * @param id id or {@code null} for none
   */
  public SiteVerificationWebResourceResource setId(java.lang.String id) {
    this.id = id;
    return this;
  }

  /**
   * The email addresses of all verified owners.
   * @return value or {@code null} for none
   */
  public java.util.List<java.lang.String> getOwners() {
    return owners;
  }

  /**
   * The email addresses of all verified owners.
   * @param owners owners or {@code null} for none
   */
  public SiteVerificationWebResourceResource setOwners(java.util.List<java.lang.String> owners) {
    this.owners = owners;
    return this;
  }

  /**
   * The address and type of a site that is verified or will be verified.
   * @return value or {@code null} for none
   */
  public Site getSite() {
    return site;
  }

  /**
   * The address and type of a site that is verified or will be verified.
   * @param site site or {@code null} for none
   */
  public SiteVerificationWebResourceResource setSite(Site site) {
    this.site = site;
    return this;
  }

  @Override
  public SiteVerificationWebResourceResource set(String fieldName, Object value) {
    return (SiteVerificationWebResourceResource) super.set(fieldName, value);
  }

  @Override
  public SiteVerificationWebResourceResource clone() {
    return (SiteVerificationWebResourceResource) super.clone();
  }

  /**
   * The address and type of a site that is verified or will be verified.
   */
  public static final class Site extends com.google.api.client.json.GenericJson {

    /**
     * The site identifier. If the type is set to SITE, the identifier is a URL. If the type is set to
     * INET_DOMAIN, the site identifier is a domain name.
     * The value may be {@code null}.
     */
    @com.google.api.client.util.Key
    private java.lang.String identifier;

    /**
     * The site type. Can be SITE or INET_DOMAIN (domain name).
     * The value may be {@code null}.
     */
    @com.google.api.client.util.Key
    private java.lang.String type;

    /**
     * The site identifier. If the type is set to SITE, the identifier is a URL. If the type is set to
     * INET_DOMAIN, the site identifier is a domain name.
     * @return value or {@code null} for none
     */
    public java.lang.String getIdentifier() {
      return identifier;
    }

    /**
     * The site identifier. If the type is set to SITE, the identifier is a URL. If the type is set to
     * INET_DOMAIN, the site identifier is a domain name.
     * @param identifier identifier or {@code null} for none
     */
    public Site setIdentifier(java.lang.String identifier) {
      this.identifier = identifier;
      return this;
    }

    /**
     * The site type. Can be SITE or INET_DOMAIN (domain name).
     * @return value or {@code null} for none
     */
    public java.lang.String getType() {
      return type;
    }

    /**
     * The site type. Can be SITE or INET_DOMAIN (domain name).
     * @param type type or {@code null} for none
     */
    public Site setType(java.lang.String type) {
      this.type = type;
      return this;
    }

    @Override
    public Site set(String fieldName, Object value) {
      return (Site) super.set(fieldName, value);
    }

    @Override
    public Site clone() {
      return (Site) super.clone();
    }

  }
}
